Vulnerability Info

Risk
5 Critical
Affected Software
  • Quicktime Player
Impact
Remote Code Execution

Fortinet Discovers Vulnerability in Apple QuickTime Player


Summary

Fortinet's FortiGuard Labs has discovered an integer overflow vulnerability exists in Apple QuickTime Player, which may lead to an unexpected application termination or arbitrary code execution.

Solutions

FortiGuard Labs released the following signature which covers this specific vulnerability:

Apple.QuickTime.Player.Unspecified.Integer.Overflow
Released 11/09/2010

Users should apply the solution provided by Apple.

Additional Information

The vulnerability is due to improper bounds checking, which is located in Quicktime.qts. Viewing a maliciously crafted movie file may lead to an unexpected application termination or arbitrary code execution.

References

  • http://support.apple.com/kb/HT4447
  • http://support.apple.com/kb/HT4581
  • CVE ID: CVE-2010-4009

Acknowledgement

Honggang Ren of Fortinet's FortiGuard Labs
Fortinet customers who subscribe to Fortinet's intrusion prevention (IPS) service should be protected against this vulnerability with the appropriate configuration parameters in place. Fortinet's IPS service is one component of FortiGuard Subscription Services, which also offer comprehensive solutions such as antivirus, Web content filtering and antispam capabilities. These services enable protection against threats on both application and network layers. FortiGuard Services are continuously updated by FortiGuard Labs, which enables Fortinet to deliver a combination of multi-layered security intelligence and true zero-day protection from new and emerging threats. These updates are delivered to all FortiGate, FortiMail and FortiClient products. Fortinet strictly follows responsible disclosure guidelines to ensure optimum protection during a threat's lifecycle.